Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 88f4967f2bf9efaa872b2ed395e6cb29cfcf358c)
+++ cpukit/ChangeLog	(revision ba962ea23530a177caa06d7494ac0858d251ad97)
@@ -1,2 +1,9 @@
+2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* aclocal/lead-dot.m4: Remove (Use the version in automake-1.8).
+	* automake/lib.am: Remove $(project_libdir)$(MULTISUBDIR).
+	* aclocal/env-rtemscpu.m4: Reflect new definition of project_lib.
+	* Makefile.am: Remove BUILT_SOURCES.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 88f4967f2bf9efaa872b2ed395e6cb29cfcf358c)
+++ cpukit/Makefile.am	(revision ba962ea23530a177caa06d7494ac0858d251ad97)
@@ -23,6 +23,4 @@
 include_rtems_HEADERS = include/rtems/bspIo.h include/rtems/userenv.h \
     include/rtems/fs.h include/rtems/stdint.h
-
-BUILT_SOURCES = $(PREINSTALL_FILES)
 
 AUTOMAKE_FILES = automake/compile.am automake/lib.am automake/local.am \
Index: cpukit/aclocal/env-rtemscpu.m4
===================================================================
--- cpukit/aclocal/env-rtemscpu.m4	(revision 88f4967f2bf9efaa872b2ed395e6cb29cfcf358c)
+++ cpukit/aclocal/env-rtemscpu.m4	(revision ba962ea23530a177caa06d7494ac0858d251ad97)
@@ -15,7 +15,7 @@
     AC_SUBST(MULTISUBDIR)
  
-    project_includedir="\$(PROJECT_ROOT)/include"
-    project_libdir="\$(PROJECT_ROOT)/lib\$(MULTISUBDIR)"
- 
+    AC_SUBST([PROJECT_INCLUDE],["\$(PROJECT_ROOT)/lib/include"])
+    AC_SUBST([PROJECT_RELEASE],["\$(PROJECT_ROOT)"])
+
     includedir="\${exec_prefix}/include"
     libdir="${libdir}\$(MULTISUBDIR)"
@@ -40,9 +40,9 @@
     AC_SUBST(RTEMS_BSP)
  
-    project_includedir="\$(PROJECT_ROOT)/$RTEMS_BSP/lib/include"
-    project_libdir="${PROJECT_ROOT}/$RTEMS_BSP/lib"   
-
     includedir="\${exec_prefix}/${RTEMS_BSP}/lib/include"
     libdir="\${exec_prefix}/${RTEMS_BSP}/lib"
+
+    AC_SUBST([PROJECT_INCLUDE],["\$(PROJECT_ROOT)/$RTEMS_BSP/lib/include"])
+    AC_SUBST([PROJECT_RELEASE],["\$(PROJECT_ROOT)/$RTEMS_BSP"])
 
     RTEMS_ENABLE_BARE
@@ -51,10 +51,7 @@
   ])
 
-  AC_SUBST(project_libdir)
-  AC_SUBST(project_includedir)
+  AC_SUBST([project_libdir],["\$(libdir)"])
+  AC_SUBST([project_includedir],["\$(includedir)"])
 
-  # FIXME: Deprecated, to be removed
-  AC_SUBST(PROJECT_INCLUDE,[$project_includedir])
- 
   AM_CONDITIONAL([MULTILIB],[test x"$multilib" = x"yes"])
 ])
Index: ukit/aclocal/lead-dot.m4
===================================================================
--- cpukit/aclocal/lead-dot.m4	(revision 88f4967f2bf9efaa872b2ed395e6cb29cfcf358c)
+++ 	(revision )
@@ -1,32 +1,0 @@
-#                                                          -*- Autoconf -*-
-# Copyright (C) 2003  Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
-
-# serial 1
-
-# Check whether the underlying file-system supports filenames
-# with a leading dot.  For instance MS-DOS doesn't.
-AC_DEFUN([AM_SET_LEADING_DOT],
-[rm -rf .tst 2>/dev/null
-mkdir .tst 2>/dev/null
-if test -d .tst; then
-  am__leading_dot=.
-else
-  am__leading_dot=_
-fi
-rmdir .tst 2>/dev/null
-AC_SUBST([am__leading_dot])])
Index: cpukit/automake/lib.am
===================================================================
--- cpukit/automake/lib.am	(revision 88f4967f2bf9efaa872b2ed395e6cb29cfcf358c)
+++ cpukit/automake/lib.am	(revision ba962ea23530a177caa06d7494ac0858d251ad97)
@@ -14,8 +14,3 @@
 endef
 
-$(project_libdir)$(MULTISUBDIR):
-	@$(mkinstalldirs) $@
-
-TMPINSTALL_FILES = $(project_libdir)$(MULTISUBDIR)
-
-.PRECIOUS: $(LIB)
+TMPINSTALL_FILES =
